@import url("https://fonts.googleapis.com/css?family=Raleway:300,400,600|Londrina+Solid|Amatic+SC:700");
@import url('https://fonts.googleapis.com/css?family=Ubuntu|Ubuntu+Condensed&display=swap');

.ytp-chrome-top, 
.ytp-show-cards-title,
.ytp-title-channel,
.ytp-title-expanded-overlay,
.ytp-title-expanded-heading,
.ytp-title-text,
.ytp-pause-overlay
{
    display:none;
}

body{
	background-color:black;
	font-family: 'Ubuntu', 'Raleway', sans-serif;
    font-size:14px;
    
}
.link-color{
    color: #3490dc;
}
a {
    font-weight: 600; 
}

/* Maak akkoord-links in de songtekst onzichtbaar! */
a.chordbut {
    display: none;
}

div#speler {
    position: absolute;
    width: 100vw;
    max-width: 1024px;
    left: 0px;
}

#brand {
    position: absolute;
    font-family: Londrina Solid;
    color: darkorange;
    left: 18px;
    top: -10px;
    font-size: 24px;
    font-family: Londrina Solid;
    font-weight: 300;
    letter-spacing: 2px;
}
#tuning-div {
    display: block;
    position: absolute;
    top: calc(32px + 0vw);
    left: 28vw;
    width: 150px;
    height: 50px;
    font-size: 12px;
    color: burlywood;
}

#tuning-div a {
    color:darkorange;
    font-size: 1.6em;
    padding-left: 7px;
    /* color: #f93; */
    text-decoration: none;
}

#song-menu{
    position: absolute;
    left: 28vw;
    top: calc(84px + 0vw);
    color: antiquewhite;
    font-size: 20px;
}
.song-menu-item {
    display: block;
}
#title-info {
    font-size: 0.7em;
    position: relative;
    /*top: -60px;
    height: 24px;*/
    overflow-x: scroll;
    width: 66vw;
}
#favourite-link{
    position: relative;
    top: 0px;
}
#favourite-message{
    font-size: 0.6em;
}
#canvas{
    width:31vw;
    position: absolute;
    top: 52px;
}
#player{
	position:absolute;
    top: calc(135px + 10vw);
    left:28vw;
    width:66vw;
    height: 40vw;
    border-radius: 5px;
}
#timeline { 
	position: absolute;
    top: calc(52px + 73vw);
	left: 2vw;
	width: 96vw;
	height: 60px;
}
#songtext {
    position: absolute;
    top: calc(100px + 80vw);
    left: 3vw;
    width: 94vw;
    min-height: 184px;
	overflow-y: auto;
    overflow-x: hidden;
    font-size: 16px;
    color: white;
    line-height: 1.5em;
}
.card-header {
    font-size: 1.3em;
}
table.tablesorter thead tr th, table.tablesorter tfoot tr th {
    font-size: 9pt;
    text-transform: uppercase;
}
.card-body {
    height: calc(100vh - 200px);
    overflow-y: scroll;
}

#songlist {
    position: absolute;
    top: 52px;
    left: 0vw;
    width: 100vw;
    display: none;
}

#playlist-index {
    position: absolute;
    top: 52px;
    left: 0vw;
    width: 100vw;
    display: none;
}

#help,
#message,
#report-bug {
    position: absolute;
    top: 52px;
    width: 100%;
    display: none;
}

#texual-content {
    position: absolute;
    top: 110vh;
    background-color: white;
    color: black;
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 30px;
}
#texual-content a {
    color: darkorange;
}
#textual-content {
    position: absolute;
    top: 140vh;
    background-color: white;
    color: black;
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 30px;
}
#textual-content a {
    color: darkorange;
}

#chordname{
	display:none;
	position: absolute;
	top: 150px;
	left: 116px;
	width: 100px;
	height: 40px;
	color:white;
	text-align:center;
	font-size:32px;
}

.inline{
    display: inline-block;
    padding-right: 10px;
}

.toggle-playlist a{	
    font-weight: 700;
}
.song_link,
.playlist_link{
	cursor:pointer;
	font-weight:bold;
}
.song_link a:hover,
.playlist_link a:hover{
	color:#f93;
}
.toggle-playlist a:hover{
	color:white;
}

.smaller{
    font-size: 0.7em;
}
.fat{
    font-family: Londrina Solid;
    font-size: 1.4em;
    font-weight: 300;
    letter-spacing: 1px;
}

.nav {
    height: 20px;
    padding: 10px;
}

.navbar-nav {
    padding-left: 20px;
    margin-bottom: -3px;
}
.navbar-brand {
    margin-left: 32px;
}
a.navbar-brand{
    color: darkred;
}
a.navbar-brand:hover{
    color: white;
}
.nav-link{
    padding: 0.5rem 0.7rem 0 0px;
    font-weight: 300;
}

.navbar-nav .nav-link{
    text-transform: uppercase;
}
a.nav-link{
    color: orange;
}
a.nav-link:hover{
    color: white;
}
a.dropdown-link{
    color: white;
}
a.dropdown-link:hover{
    color: black;
}

.navbar-default .navbar-nav > li > a {
    color: papayawhip;
}

.dropdown-menu {
    background-color: coral;
    padding: 14px;
}

@media (max-width:767px)
{
    div#speler {
        position: absolute;
        top: 19px;
        width: 100vw;
    }
}
@media (min-width:767px) and (max-width:768px)
{
    #brand {
        left: 18px;
        top: 0px;
        font-size: 40px;
    }
    #song-menu {
        top: 112px;
        font-size: 1.4em;
    }
    #title-info {
        padding-top: 0px;
        font-size: 0.8em;
    }

    #timeline { 
        top: calc(130px + 52vw);
        left: 28vw;
        width: 76vw;
        height: 60px;
    }
    #songtext {
        top: calc(190px + 55vw);
        left: 28vw;
        width: 70vw;
        font-size: 17px;
    }
    #tuning-div {
        top: 63px;
    }
    #title-info {
        top: 0px;
        position: relative;
    }
    #favourite-link{
        top: 0px;
        position: relative;
    }
    
    .card-body {
        height: calc(100vh - 215px);
    }
}


@media (min-width:769px) {
    div#speler {
        left: 0;
    }
    #canvas{
        top: 120px;
        left: 20px;
        width: 23vw;
    }
    #brand {
        left: 18px;
        top: 0px;
        font-size: 40px;
    }
    #tuning-div{
        display: block;
        position: absolute;
        top: 59px;
        left: 22px;
        width: 308px;
        height: 50px;
        font-size: 14px;
        color: burlywood;
    }
    #tuning-div a{
        color:#f93;
        text-decoration:none;
    }

    #song-menu {
        left: 362px;
        top: 24px;
        font-size: 1.4em;
    }
    .song-menu-item {
        display: inline;
        margin-right: 9px;
    }    
    #title-info {
        padding-top: 8px;
        font-size: 0.8em;
        position: unset;
    }
    #favourite-link{
        top: 0px;
        position: unset;
    }

    #player{
        top: 90px;
    }

    #timeline { 
        left: 28vw;
        top: calc(110px + 39vw);
        width: 70vw;
    }    
 
    #songtext {
        top: calc(175px + 40vw);
        left: 28vw;
        width: 70vw;
        font-size: 20px;
    }
    #chordname{
        display:none;
        position: absolute;
        top: 150px;
        left: 116px;
        width: 100px;
        height: 40px;
        color:white;
        text-align:center;
        font-size:32px;
    }
    .card{
        box-shadow: 0px 0px 22px 0px #000;
    }
    .card-body {
        height: calc(100vh - 165px);
    }
   #songlist {
        position: absolute;
        top: 8px;
        left: 326px;
        width: 700px;
    }
    #playlist-index {
        position: absolute;
        top: 8px;
        left: 326px;
        width: 700px;
    }
    #help,
    #message,
    #report-bug {
        position: absolute;
        top: 8px;
        right: 0px;
        width: 400px;    }
}

@media (min-width:1024px) {
    div#speler {
        left: calc((50vw - 512px)*0.7);
    }
    #canvas{
        position: absolute;
        top: 120px;
        left: 40px;
        width: 250px;
    }
    #brand {
        left: 18px;
        top: 0px;
        font-size: 40px;
    }
    #tuning-div{
        display: block;
        position: absolute;
        top: 59px;
        left: 22px;
        width: 308px;
        height: 50px;
        font-size: 14px;
        color: burlywood;
    }
    #tuning-div a{
        color:#f93;
        text-decoration:none;
    }

    #song-menu {
        left: 362px;
        top: 24px;
        font-size: 1.4em;
    }
    .song-menu-item {
        display: inline;
        margin-right: 9px;
    }    
    #title-info {
        padding-top: 8px;
        font-size: 0.8em;
        position: unset;
    }
    #favourite-link{
        top: 0px;
        position: unset;
    }

    #player{
        position:absolute;
        top:100px;
        left:350px;
        width:640px;
        height:380px;
        border-radius: 15px;
    }
    #timeline { 
        position: absolute;
        left: 344px;
        top: 484px;
        width: 680px; 
        height: 60px; 
    }    
 
    #songtext {
        position: absolute;
        top: 561px;
        left: 344px;
        width: 680px;
        height: 184px;
        overflow-y: auto;
        overflow-x: hidden;
        font-size: 20px;
        color: white;
        line-height: 1.5em;
    }
    #chordname{
        display:none;
        position: absolute;
        top: 150px;
        left: 116px;
        width: 100px;
        height: 40px;
        color:white;
        text-align:center;
        font-size:32px;
    }
    .card{
        box-shadow: 0px 0px 22px 0px #000;
    }
    .card-body {
        height: calc(100vh - 165px);
    }
   #songlist {
        position: absolute;
        top: 8px;
        left: 326px;
        width: 700px;
    }
    #playlist-index {
        position: absolute;
        top: 8px;
        left: 326px;
        width: 700px;
    }
    #help,
    #message,
    #report-bug {
        position: absolute;
        top: 8px;
        right: 0px;
        width: 400px;    }
}
